<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [setGeolocation](./puppeteer.page.setgeolocation.md)

## Page.setGeolocation() method

<b>Signature:</b>

```typescript
setGeolocation(options: {
        longitude: number;
        latitude: number;
        accuracy?: number;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | { longitude: number; latitude: number; accuracy?: number; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

